%global pypi_name smartypants

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 7
Summary:        plug-in that easily translates ASCII punctuation characters into smart entities
Group:          Development/Python
License:        BSD
URL:            https://github.com/leohemsted/smartypants.py
Source0:        %url/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(sphinx)

%description
SmartyPants is a free web publishing plug-in for Movable
Type, Blosxom, and BBEdit that easily translates plain ASCII
punctuation characters into “smart” typographic punctuation HTML
entities.

%package -n     python3-%{pypi_name}
Summary:        plug-in that easily translates ASCII punctuation characters into smart entities
Group:          Development/Python
Requires:       python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-smartypants-doc < 2.0.1-6

%description -n python3-%{pypi_name}
SmartyPants is a free web publishing plug-in for Movable
Type, Blosxom, and BBEdit that easily translates plain ASCII
punctuation characters into “smart” typographic punctuation HTML
entities.

%prep
%autosetup -n %{pypi_name}.py-%{version}

for lib in $(find -type f -name '*.py'); do
 sed -i.python -e '1{\@^#!@d}' $lib
done

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html documentation
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf _build/html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc CHANGES.rst
%doc html
%license COPYING
%{_bindir}/%{pypi_name}


%changelog
* Thu Dec 14 2023 papoteur <papoteur> 2.0.1-7.mga10
+ Revision: 2018104
- rebuild for python 3.12

* Sat Dec 09 2023 wally <wally> 2.0.1-6.mga10
+ Revision: 2016301
- rebuild for py3.12
- use pyproject rpm macros
- drop separate doc pkg

* Tue Mar 29 2022 umeabot <umeabot> 2.0.1-5.mga9
+ Revision: 1832598
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.0.1-4.mga9
+ Revision: 1773510
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 2.0.1-3.mga9
+ Revision: 1707039
- rebuild for python 3.9

* Thu Feb 20 2020 umeabot <umeabot> 2.0.1-2.mga8
+ Revision: 1545594
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1484872
- initial package python-smartypants

